CREATE OR REPLACE PROCEDURE ADD_CAT_TERA_PROCE (CODIGO_TERA in VARCHAR2,COSTO_TERA in FLOAT,NOMBRE_TERA in VARCHAR2,TIPO_TERA IN VARCHAR2) IS
BEGIN
    INSERT INTO CATALOGOTERAPIA (CODIGO_TERA,COSTO_TERA,NOMBRE_TERA,TIPO_TERA ) VALUES (CODIGO_TERA,COSTO_TERA,NOMBRE_TERA,TIPO_TERA);
END;

CREATE SEQUENCE CAT_TERA_SEQUENCE
 START WITH     1
 INCREMENT BY   1
 NOCACHE
 NOCYCLE;

create or replace trigger CAT_TERA_TRIGGER  
   before insert on "CLINICA"."CATALOGOTERAPIA" 
   for each row 
begin  
   if inserting then 
      if :NEW."ID_CAT_TERA" is null then 
         select CAT_TERA_SEQUENCE.nextval into :NEW."ID_CAT_TERA" from dual; 
      end if; 
   end if; 
end;






